[Yandex Cloud documentation](../../../../index.md) > [Yandex Object Storage](../../../index.md) > API reference > [AWS S3 REST](../../index.md) > [REST](../index.md) > Object > RestoreObject

# Object Storage API, Amazon S3-compatible REST: RestoreObject

The method ensures compatibility with other solutions, e.g., you can use the same logic as for Amazon S3 Glacier when working with Object Storage. However, unlike Amazon S3 Glacier, objects in Object Storage are immediately available for reading and do not need to be moved to hotter storage, so the method always returns `200 OK`.

`RestoreObject` also counts as accessing an object in an `INTELLIGENT_TIERING` [storage](../../../concepts/storage-class.md#features-intelligent-tiering). The method can move the object to a more frequent access tier.

{% note warning %}

Object restoration using S3 Select is not supported. A request specifying `SELECT` within `Type` will return the `501 Not Implemented` error.

{% endnote %}

For more information on getting started with the API and the general request format, see [How to use the S3 API](../../index.md).

## Request {#request}

```http
POST /{bucket}/{key}?restore HTTP/2
```

### Path parameters {#path-parameters}

Parameter | Description
----- | -----
`bucket` | Bucket name
`key` | Object key

### Headers {#request-headers}

Use the appropriate [common headers](../common-request-headers.md) in your request.

## Response {#response}

### Headers {#response-headers}

Responses can only contain [common headers](../common-response-headers.md).

### Response codes {#response-codes}

For a list of possible responses, see [Responses](../response-codes.md).

A successful response does not contain any additional data.

#### Related articles {#related-articles}

* [Object](../../../concepts/object.md)

* [Intelligent-tiering storage](../../../concepts/storage-class.md#features-intelligent-tiering)

#### Useful links {#see-also}

* [Getting started with the AWS S3 API in Yandex Object Storage](../../s3-api-quickstart.md)

* [Debugging requests using the AWS CLI](../../signing-requests.md#debugging)

* [Example of sending a signed request using curl](../../../api-ref/authentication.md#s3-api-example)

* [Code example for generating a signature](../../../concepts/pre-signed-urls.md#code-examples)